# Uses of Class
org.mariadb.jdbc.internal.com.send.authentication.ed25519.math.Encoding

Packages that use Encoding
Package
Description
org.mariadb.jdbc.internal.com.send.authentication.ed25519.math
org.mariadb.jdbc.internal.com.send.authentication.ed25519.math.ed25519

## Uses of Encoding in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math

Methods in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math that return Encoding
Modifier and Type
Method
Description
`Encoding`
Field.`getEncoding()`
Constructors in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math with parameters of type Encoding
Modifier
Constructor
Description
``
`Field(int b, byte[] q, Encoding enc)`

## Uses of Encoding in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math.ed25519

Subclasses of Encoding in org.mariadb.jdbc.internal.com.send.authentication.ed25519.math.ed25519
Modifier and Type
Class
Description
`class`
`Ed25519LittleEndianEncoding`
Helper class for encoding/decoding from/to the 32 byte representation.